1.61 2016.08.28.
-modifications/new:
 -added Icecast Radio Directory to FTP connections
 -added http metadata (ID3) read and update in playlist editor (depends on the LoadID3Tag +32 flag, usually it has no effect at Ogg streams)
 -http: creates filename from ID3 tag at recording stream of current song (alt-F5)
 -modified bass and treble range from 1-100 to 1-200 (100 is the new center) and loudness values to 140 & 150
 -new key: KeyEditSubDirLst (no assigned key) : load files from current and subdirs into a sublist
 -new key: KeyEditID3Search key function (no assigned key) to start ID3-search with a single key (without ALT key)
 -Ctrl-'F1..F4' : added ascending/descending sort change in editor with double press of the key
 -Ctrl-'E' (rename by ID3) : removed automatic track number
 -added PlayHSstart and PlayHScount to mpxplay.ini
 -added Outmode to mpxplay.ini
 -added LoudnessVol,LoudnessSurr,LoudnessBass,LoudnessTrebl to mpxplay.ini
 -added SortControl to mpxplay.ini
 -added FileTypesExt to mpxplay.ini to configure the loading/displaying of extra filetype extensions
 -modified default LoadID3Tag from 7 to 39
 -added Null sound output (for testing) (modified -scs NUL)
 -added build date info to help (-h)
 -mpxtabs.ini: modified "OrderKeys_NNN" format, old mpxtabs.ini files cause wrong sorting
 -modified stop ('S') behavior (more usefull for http lists): 1. press: stop playing current file and close it (keep list position), 2. press: skip to begin of playlist
 -modified Jukebox handling: all tabs can be Jukebox too, other side always adds file to queue without starting it
 -added new LoadID3tag flags: 
  4. +16  preload informations from slow devices too (ftp,http) (disabled by default)
  5. +32  load ID3 tags from low level devices too (Icecast, http) (enabled by default)
 -added new StartupType flag: +32:save at every new file
 -added new HighLight scan mode: start at half/center of file (enable with new option: -phsh, or new PlayControl flag: +8)
 -added MckicString to MPXPTABS.INI to save and restore id3-search/filter string
 -at track change, if TCP connect is terminated with ESC key, the program doesn't skip toward
-Win32:
 -new ProgramControl flags:
  4. +16  open unknown (like jpg,pdf,doc) file types with default (external) system application (enabled by default)
  5. +32  open all files with default system application (inside A/V playing still can be controlled with ctrl-enter and skip keys)
-DOS:
 -added new devices to Intel HDA soundcards, extended chip infos
-bugfixes: see WHATSNEW.161

1.60 2015.02.08.
-modifications/new:
 -added http file/stream handling (ALT-F5 can record/copy streams too)
 -added Ogg-Opus demuxing (decoding is in DLL)
 -removed lq-mode (16 bit integer) au-mixer, removed HQmode setting from mpxplay.ini (now Mpxplay has only 32-bit float based audio mixer)
 -added general tone (bass/treble) for au-mixer (all filetypes have tone control, not only MPx)
 -crossfade works at different input frequencies too (you can do crossfade between a 5.1, 48Khz AC3 and a 22kHhz mono MP3 too)
 -alternative search displaying at alt-letter: filter (display only) search result in playlist editor
 -added new LoadID3tag flag: +16: preload informations from slow devices too (ftp,http) (disabled by default)
 -added disable_decodertone (+16) and disable_mixertone (+32) flags to MixerControl variable
 -faster file open (removed duplicated file open) at pressing enter
 -DOS: partially modified Intel HDA handling (-scc), added new PCI IDs (cards/boards)
-bugfixes: see WHATSNEW.160

1.59 2012.08.01.
-modifications/new:
 -dynamic playlist handling (MaxFilenames=0): enabled by default (in mpxplay.ini and in mpxplay.exe too)
 -win32 version is unicode based (it displays the international (non-US) chars correctly in windowed mode only)
 -win32: 64-bit (>2Gb) filesize handling
 -win32: removed all -8xx commanline options (except -8ucp and -8ccp)
 -new fileformat: FLV (flash container with AAC,MP3,PCM sound)
 -mpxplay.ini:
  -removed [Startup] section, side/tab infos are saved in a MPXPTABS.INI file (with new/extended infos)
  -StartupEnabled is renamed to StartupType and moved to the end of [global] variables
  -win32: removed SortOrder,Conv852437,WinChars and DosChars variables
  -removed PlaylistSave, LoadId3list and Id3savefields variables
  -removed ShutDownATX variable handling (use ProgramCntrl)
  -added PlayListCntrl variable (+1:disable warnings +2:-db +4:-db2 +8:-il)
  -moved NoListWarnings flag from ProgramCntrl to PlayListCntrl
 -ID3/Tag editing (F4,-iw):
  -added tag editing for ASF, FLAC, MP4 and OGG files
  -added file duplication function (window), if there's not enough space to store new infos in ASF,Flac,ID3v2,MP4,Ogg
  -added status/progress window for group editing (ESC key can terminate the process)
  -win32: added credentials (alternative user rights) handling/window (if it cannot write the file with the current rights)
 -multi-tabs handling:
  -ctrl-'t' (KeyEditAddTab): add a new side-tab (duplicate the current tab, insert the new tab after the current one, skip to the new tab)
  -ctrl-'w' (KeyEditDelTab): delete the current tab
  -ctrl-Tab (KeyEditSkipTab): skip to the next tab on the side (in loop)
  -'+' button in the tabs-header: duplicates the current/selected tab and puts it at the end of tabs
  -new Desktopmode flags: 
   -16. +65536  always display tabs-header line/buttons in playlist editor
   -17. +131072 aligned fields in editor (separate filename and extension or artist and title (commander/player))
 -ctrl-'f' (ftp connection): added multiply sessions handling, saved in a MPXP_FTP.INI file
 -CUE: added INDEX 00 (length of track), REM DATE/GENRE/COMMENT lines handling
 -MXU: modified structure (data separator char is '|') (program loads older formats too, saves only new one)
 -extended -db2 functionality: with a single file argument it opens the dir-of-file and plays the file in dir, with playlist or dir-scan argument it opens/makes the list like a sub-list
 -groupselect by metadata (alt-'+') accepts wildcards in "artist:title" format too
 -added CP720 codepage handling
 -new parser/demuxer api (new MOD and DTS dlls)
 -gcc/mingw makefiles (and global source modifications for GCC compiler)
-bugfixes: see WHATSNEW.159

1.58 2011.05.22.
-new fileformats (containers/demuxers): MKV/WEBM (Matroska), MOV, MPG/VOB (MPEG-PS), TS (MPEG-TS)
-new option: -pet (PlayEndTime)
-new key/function: shift-F2 : compare directories/editorsides, auto-select different files
-modifications/new:
 -program is compiled with OW 1.9
 -added/corrected multichannel support (removed decoder based downmixes) at AAC,AC3,FLAC,PCM(WAV),Vorbis inputs and WAV-file output
 -mpxplay.ini: added ProgramControl,DesktopModeP,DesktopModeC and removed DesktopMode,ShutdownATX variables (see moreinfo.txt)
  (note: mpxplay.ini handling is partially backward compatible, just some Desktopmode settings/configs might not work correctly)
 -key 'E': selects between DesktopModeP/DesktopModeC configs
 -added Displaymode +128 flag (DesktopModeC selector)
 -added ProgramCntrl +8 flag (always try to autodetect filetype)
 -rename-by-id3 (ctrl-e): can rename single directories and non-audio (playlist) files too
 -fileinfo (F3) using on a single file: up/down-arrows,tab & enter can change/navigate the selected file/directory
 -desktop button Sw (swap channels) has changed to Hs (hi-lite scan)
 -win32: increased timer/program refresh rate (60->130fps) (ie: better speed-seek, faster desktop/displaying)
 -win32: file move/rename/del: added a "Use different credentials/user" window at "Access denied"
 -win32: removed LCD display handling (because probably it doesn't work at all)
-bugfixes: see WHATSNEW.158

1.57 2010.11.25.
-new fileformats: AIF, W64 (Wave64), MP4/ALAC, Float64 in AIF,WAV,W64
-new soundcard in DOS version: Ensoniq ES1371/ES1373 (ENS) (SB PCI 16/64/128)
-new options: -bb (enable backbuffer), -bbm (backbuffer megabytes), -mxlo (limiter overflow), -mxmd (mute divisor),
              -drfc (FTP-client config), -8w (auto codepage setting in win32), -scc (soundcard sub-config)

 -UseVariables=3 is the default setting in mpxplay.ini (program saves the desktop/mixer settings in mpxplay.ini)
  (Warning: This option has effect at file/encoder output too! Don't forget to reset the mixer settings (ie: with ctrl-v) before encoding!)
 -key 'E': switch between player and commander mode playlist editor (note: loading of filesize and filedate infos in commander mode depends on the using of Preloadinfo/-inl/-idl/-ipl settings, same like in player mode)
 -new sort modes at ctrl-F1-F4 in commander mode (see readme.txt)
 -CUE: LENGTH and INDEX EE lines have been changed to one "REM MPXPINFO LNMS=nnnn;INDE=nnnn" line (for better compatibility with other players) and it's written at manual playlist savings too (not only at Mpxplay's auto save)
 -CUE: added filesize (FISI), filedate (FIDA) and more precise index begin (INDB) infos
 -sort: new key: filedate (-io 12) (works at playlist only in commander mode or using the new CUE format)
 -DesktopMode new functions: 2. (+4) display all filenames in directory (not only supported audio files); 19. (+524288) display date of directories in directory browser
 -(simple wide stereo) surround has changed to prologic surround (from MX_PLSUR.DLL) in mpxplay.exe (works in hq mode only)
 -desktop button Hq switch has changed to Ln (loudness)
 -removed obsolete -hq commandline option (use HQmode setting in mpxplay.ini)
 -removed H-key (but KeyHQmode1 and KeyHQmode2 still exist in mpxplay.ini)
 -8ucp/8ccp options can set a source/target codepage for the codepage conversion instead of using WinChars/DosChars
 -8ccp option: NUM argument has changed to CPNAME (-8ccp CPNAME) and uses CP437 by default (if the -8 option is not enabled, Mpxplay converts the ISO-8859-2 chars to CP437 automatically, if it can)
 -gray-'/','*' and 'A-','A+' buttons (step-back-album and step-forward-album) work like ctrl-gray-'/','*' (search paralell dir) in directories
 -no crossfade between continuous indexes at end of song (end point of curr index = start point of next index -> fade-out process doesn't start)
 -filecopy: new mode at copy from playlist (alt-F5): copy with subdirectory (create one more subdir level in target dir)
 -filecopy: new button to create target directory if it doesn't exist (in "copy without extension" window)
 -filemove: filename is renamed in playlist, not removed
 -file output (-o) + indexed files (CUE): -oni option is automatically enabled (at wav and bitstream outputs only, has no effect using encoders)
 -CUE loading: main PERFORMER is used for track-performer if the latter not exists (sometimes this is not good, but it's the correct way)
 -FTP/dos: using a new SWSSOCK library instead of WATTCP
 -FTP/win32: added SSL/TLS (ftps,ftpes) support for ftp-client with OpenSSL dlls (http://www.openssl.org)
 -FTP: ftp-client uses passive mode, auto-reconnect, anonym-login and non-utf8 filenames by default (-drfc 7)
 -FTP: added auto-retry (window) to ftp-client (virtual drive) open (ctrl-'f')
 -FTP: filenames in playlist and in commandline with leading "ftp:" (or ftps,ftpes) are opened by the ftp-client (it opens a hidden session for the filename if cannot assign it to an existent one)
 -FTP: saving playlist with ftpdrive-filenames (like "0:\subdir\filename") to an other/local drive, filenames will contain the complete ftp-path (ftp://user:pass@server/subdir/filename) (M3U,CUE only)
 -playlist-save (F2): new switches ([x]) to configure playlist format: UTF text encoding (type is depending on the original format too), fullpath for remote and fullpath for all filenames
 -win32: modified directsound (WDS) config, possible quality improvement
 -win32: optimized desktop handling/writing (spectrum analyser, playlist editor, text-windows) (causes faster file handling too)
-bugfixes: see WHATSNEW.157

1.56 2009.05.11.
-added Intel HDA audiocards (onboard chips) handling (ie.: ATI,AD19xx,Realtek,VIA) (but strongly BIOS/motherboard dependant)
-new options:
 -inf : don't load id3tag infos from files (equal to LoadID3Tag=5 in mpxplay.ini)
 -8ccp NUM  : codepage number for (windows) console (default: 437)
-new keys/functions:
 - ctrl-'e' (KeyEditRenByID3): rename file(s) by ID3-tag(s) (trackNN.MP3 -> NN. Artist - Title.MP3)
 - ctrl-'n' (KeyEditOrdRand) : randomize side-entries immediately
 - ctrl-'f' (KeyFTPOpen) : open ftp session/drive (url) (win32 and watt32/tcpip versions only)
 - ctrl-'k' (KeyFTPClose) : close ftp session/drive
 - 'l' (lowercase L) (KeyEditCurHigh): switch to playside and move cursor to currently played song (and change drive/directory in dir-browser)
-new (and default) startup mode: +16 (=19): saves and restores both editorsides and song-pos, saves virtual (made in editor) lists to disk (mpxplay's dir \ MPXP000n.CUE)
-new [serialport] handler: LPTR (like LPTC, but without irq, with a direct port reading)
-modifications:
 -StartupEnabled=19 in mpxplay.ini (DOS and Win32 version too)
 - -8cp option is renamed to -8ucp (codepage for Unicode decoding)
 - -bbn option is renamed to -bpb (prebufferblocks)
 - -bbm option is renamed to -bpm (prebuffermegabytes)
 -ID3Savetype=61 (was 63) (default -ist value)
 -'E' key: show only filenames in editor and on LCD (switch between filename and artist:title)
 -playlist are always sublists even if the other side is playlist-side (you can restore the old method with the 18. flag of DesktopMode)
 -new loudness ('|' key) settings: vol=230, sur=120, bass=70, treble=75 (recommended to use ADMP380 and MXPLSUR dll plugins)
 -latest LCDtype 1 moved to type 9 (KS0073) , restored older HD44780 handling (from v1.54)
 -cue: INDEX EE command has changed to LENGTH at playlist save (non standard end of index/file)(still handles INDEX EE at loading)
 -startup: added OldSongNum for faster and more correct listpos restoring (ie. at duplicated files)
 -jukebox+crossfade: always deletes the file (not only at eof)
 -filename and songnumber displaying in editor (at unsupported/unchecked entries)
 -faster file checking/opening (on non-cached drives)
 -added OGA,OGV file extensions to OGG
 -added auto UTF-16 (UNICODE) text file (playlist) loading (and saves in the same format at F2)
 -added codepage conversion (-8) for filenames and directories at display output
 -added new DESKTOPMODE flag: 17. +131072 disable playlist warnings (only "non-standard CUE" yet)
-bugfixes: see WHATSNEW.156 for the complete list of modifications & bugfixes
-win32 version:
 -better multi-core handling
 -CDW (audio CD playing/ripping) works under WinNT/2K/XP too (added NTSCSI support)
 -partially enabled multichannel support (with OggVorbis decoder and DirectSound output only)
 -increased MaxFilenames to 19999 (from 9999) in mpxplay.ini
 -(pre)allocates MaxFilenames playlist size for both sides (not only for playlist side) (program uses more memory, around 13Mb)

1.55 2007.07.04.
-new key: F1 (help)
-new option: -bpn : preload next song before the end of current one (for better gapless playing)
-new fileformats: Ogg-Flac, Ogg-Speex (with ad_speex.dll)
-modifications/improvements:
 -you can play audio from OGG files with multiply (audio/video) streams
 -you can copy CDW files with ALT-F5 (you get a wav file with .cdw extension)
  (CDW handling is moved to a new diskdrive structure, and it's handled like a wav file)
 -F3 key works on directories and multiply files too (shows sum of dirs/files)
 -F5 key has confirm window with source filter at playlists,directories and multiply files
 -faster playlist loading (new method of fullpath building) (M3U,PLS,FPL,CUE)
 -added UseLFN +2 flag: auto SFN<->LFN conversion (the direction depends on the +1 flag)
 -mouse has effect on text windows too
 -the skip-back function ('-' keys) always skips backward (ignores/clears nextfile (ctrl-enter) selection)
 -new DOS32A extender (v9.12 20060420)
-bugfixes:
 -M3U & CUE playlist save to root-dir
 -opening/decoding of very short (less than 8k) Ogg files
 -faster OGG parsing (especially on unbuffered drives/CDs)
 -skip after skip-terminating (pressing ESC while searching next file -> can't play new files)
 -added missing KeyEditDrvLeft,KeyEditDrvRight keycodes to mpxplay.ini
 -corrected KeyEditClrList1 (ctrl-white-Del didn't work with mpxplay.ini)
 -startup + sublists; ctrl-R with multiply input files (in command line)
 -dma config at 24-bit and at float (-obf) outputs
 -random mode
 -modified LCDtype=1 init for 4x20 displays (please test it!)
-Win32 version:
 -added DirectSound output (now this is the primary/default output)
 -added CDW (ASPI-CD) handling
 -added CDWspeed to mpxplay.ini (works at win32 version only)
 -lower CPU usage (Sleep in main thread if realtime process is not running)

1.54 2007.01.27.
-new options:
 -psu NUM : startup-type (StartupEnabled) override (ie: -psu 11)
 -scd NUM : select soundcard sub-device (currently for WIN only)(use -sct to display device numbers (0,1,2))
 -oat : automatically copy tags (ID3-info) from input file to output file (at encoder plugins: LAME,OGGV)
 -bs  : set "short" file-prebuffering without int08 decoding (old default mode)
 -irl : load id3/file informations at program start (old default mode)
 -xel : exit at end of (play)list (old default mode)(but this works in directory browser too)
 -xce : confirm exit (Desktopmode +65536)
 -bbm NUM : prebuffer size in megabytes
 -scvom,-scvop,-scvoh,-scvos,-scvim,-scvil,-scvic,-scvia (separated soundcard mixer channel settings)(not used at every cards)
-renamed option: -pap -> -ppa

-new keys:
 - 'i' (KeyEditInsIndex) : add index (duplicate entry with startpos=currpos)
 - ctrl-'i' (KeyEditDelIndex) : remove index (append index to next/previous index)
 - alt-gray-'+'/'-' (KeyEditSelGrp/KeyEditUnSelGrp): select/unselect group of files by a filemask or metadata
 - alt-gray-'*' (KeyEditInvGrp) : invert selection (works on alt-gray-'*' only if no fastlists are configured, else modify the keycode in mpxplay.ini)
 - ctrl-gray-'+'/'-' (KeyEditSelAll/KeyEditUnSelAll) : select/unselect all files
 - shift-F6 (KeyEditMovEntry) : move (group of selected) entry(s) to the other side
 - alt-F1,alt-F2 : select drive or side type (drive/playlist/jukebox)
 - F3 (KeyShowFileinfos) : show file informations in window (id3,header)
 - F4 (KeyEditFileinfos) : edit id3tag (highlighted file or group of selected files)
 - F7 (KeyEditMakeDir) : create directory on disk (in directory browser)
 - KeyID3winscroll : on/off ID3-window (artist-title) scroll

-modified keys:
 -enabled file handling functions (alt-F5,alt-F6,alt-F8) with confirm and process windows
 -KeyEditInsSng1 -> KeyEditSelSng1 (white-Ins), KeyEditSelSng2: select/deselect playlist entry (for F5,F8,shift-F5)
 -KeyEditDelSng1 (F8) : delete group of selected files (not only one entry)
 -KeyEditInsSng2 -> KeyEditInsSng (gray-Ins) (renamed only)
 -KeyEditClearList -> KeyEditClrList1, KeyEditClrList2
 -KeyEditSaveList (F2) -> KeySavePlaylist (renamed) + displays a window with listname and listtype select

-removed keys:
 -ctrl-F5 (KeyEditCpySide1) (same function is on ctrl-gray-Ins, ctrl-white-Ins)

-modifications in the default configuration (prg+mpxplay.ini):
 -new default file buffering mode is -bp (Prebuffertype=2, Intsoundcfg=1)
 -new default id3/fileinfo loading mode is -idl (Preloadinfo=3)
 -modified Preloadinfo values
 -default ID3ordertype=99 (no order)
 -removed/disabled mouse-button keymaps in the exe (but they are still in mpxplay.ini)

-modifications in the program:
 -ID3-search (alt-letter): ENTER key starts the song immediately (only the ESC is the exit from search)(for the compatibility with other commanders)
 -CUE: merging indexes in one track (if using TRACK command; no merging if no TRACKs, only INDEXes)
 -MP3 decoder: added LAME gapless playback (and modified EQ config: inside and in the ADMP380 DLL)
 -DTS decoder and file parser moved to a DLL plugin (in_dts)
 -loading of DSP (au_mixer) and audio-decoder plugins
 -added ID3V2 writing (only updating if id3v2 exists, else the program writes id3v1)
 -program doesn't exit at empty playlist using -db, only with -xel
 -added MixerControl +4 : 0.1% speed control precision (it was a linker def, now it's configurable in mpxplay.ini)
 -modified 'songnum' logic (0-9): you can begin it with zeroes to start songs faster (ie: 05,005,0005 ; depending on how many files are in the list (>10,>100,>1000))
 -sublist handling in -db2 mode (program handles the playlists like subdirs)
 -ID3-window scroll at too long infos (artist-title only)
 -optimizations in mpxdec (synth,dct1236,i-stereo)(possible minor speed improvement at mp2,mp3,mpc files)
 -added lsf (low freq handling) to MP2 decoder (not tested)
 -minimum speed (-sp) is 50 (%) now (from 55)

-bugfixes:
 -(sub)directory browsing/scanning on network drives (newfunc\drivehnd.c)
 -decoding: flushing last bytes of audio data (ie: decoded FLAC files lost some bytes from the end)
 -ID3-tag write to read-only files (by clearing the readonly flag of file!)
 -CUE: songpos restore, gapless playing, crossfade, playlist sort
 -id3v2 reading
 -abort (exit with ESC) at a lot of non-audio files
 -better mouse-button handling (press/click) (control\mouse.c)
 -better LFN to ID3 conversion (makeing artist:title from LFN)(playlist\chkentry.c)
 -cpuid_test: stack (missing popad) (newfunc\cpu.c)
 -limiter: mem alloc (au_mixer\mx_volum.c)
 -timer entry add/delete (newfunc\timer.c)
 -NECIR (control\serial.c)

1.53 2005.12.27.
-new:
 -fileformat: ASF (WMA/WMV), AVI, and WV (WavPack) is linked into exe (no DLL required)
 -decoder: WMA
 -soundcards:
  - SB Live 24, Audigy LS (CA0106)
  - Intel ICH series (ICH 0-7; NForce 1-3) (not tested on Nforce)
 -options:
  -@sc LIST: save playlist in CUE format
  -oni     : create output filename from the id3-info (at -o)(nn. artist - title.wav)(works only if LFN is supported (with DOSLFN or under Win9x))
  -8b      : do codepage back conversion (only) (at saving tags)(if tag-list is made under DOS)
  -csa NUM : select audio stream (in ASF,AVI,MP4, if it contains more than one audio stream)
  -vos NAME: select video output (driver) (built-in: VESA)
  -volm    : list available video modes (for the selected video driver)
  -vom HEX : set video mode manually (from the list by -volm)
  -vox NUM : set horizontal resolution (def:1024) (ie:640,800,1024,1280,1600)
  -voy NUM : set vertical resolution (ie:400,480,600,768,1024,1200)
  -vob NUM : set output bits / color depth (def:32) (if the videoout driver supports it) (16:hicolor; 24,32:truecolor)
 -keys:
  - 'g' (KeySwitchGFX) : switch between text and vga (video) mode
  - KeyEditMoveFile : move file on disc
 -DesktopMode: +8192 : cursor (editorhighline) follows song-skip only if it stands on the current (played) file
 -LoadID3tag: +4: create id3info from (long)filename (enabled by default)(detected filename format is: "NN. Artist - Title.xxx" -> "Artist":"Title")

-modifications:
 -new demuxer/decoder handling (ie: playing MP3 from MP4; AAC,AC3,DTS,MP3,PCM,WMA from ASF,AVI,WAV)
 -new AC3 decoder with liba52 (more than 2 times faster, uses Dolby Surround I downmix)
 -added more codepages to -8cp option (see moreinfo.txt)
 -APEtag: it writes v2 (instead of v1)(it can update v1, but it doesn't convert v1 to v2)
 -MP2/MP3: checks/reads APEtag too (not only ID3v1/v2)
 -new editorhighline positioning (move side with editorhighline at top and bottom)(added flag to Desktopmode to set old method)
 -id3-search in playlist editor: it begins the search from the cursor (editorhighline), not from the top of list
 -ctrl-gray-left/right are mapped to KeyPRewind/KeyPForward (1% seek instead of 200 frames)
 -removed AAC file autodetection (at non-AAC file extensions)(because sometimes it can crash the program)
 -plugin structures/definitions (old DLLs will not work!)
 -used OpenWatcom 1.3 compiler (v11c still works, maybe later will not)

-bugfixes:
 -better header check (file/stream autodetection) for AAC,AC3,APE,MP2/3,DTS (at bad or non-audio files)
 -crossfade between mono/stereo files can work
 -CMOS: save at every newfile (not only in every 2. sec); corrected filenum & percent (at eof)
 -CUE loading/handling (in playlist and on display)
 -DTS decoder (crash at seek)
 -SB Live (5.1) mixer init + added stereo sound for the rear channels (not tested)
 -SB Audigy 2 Value handling
 -VIA8233 (and above) soundcard volume (-scv) (not tested)
 -pcm (wav) playing after buffer underrun (missed sample-block align)
 -stop audio at exit (before saving mpxplay.ini)
 -LCD type 1,2 timing/portdelay
 -drive/subdir scan (run after reached filenames limit)
 -visualpi module loading (if there is an obsolete/wrong visualpi DLL in the directory)
 -Desktopmode: 'horizontal mode' (+16) 'and shift/move entry with mouse' (+4096)
 - -@i option
 -playlist reloading (CTRL-R and J keys) failed in some cases (dir change,multiply input files,-db2)
 -sublist browsing (doesn't skip editorhighline to current song)
 -SerialEnable=1 (mpxplay.ini)

1.52 2005.07.05.
-modifications:
 -sct option:
  -doesn't detect diskwriter DLLs automatically (only at selected module:-sct FAAC)(use -dlls option to list all DLL modules)
  -exits with ESC key after successful detection
-bugfixes:
 -FLAC: decoding/seeking bugs; 24-bit audio (maybe 8-bit is bad yet); putting back auto UTF-8 decoding for tags
 -FTPSRV: memory alloc/free

1.51 2005.05.23.
-new audio decoder/fileformat: FLAC (FLAC,FLA,FLC)
-new playlist: CUE (with FILE,PERFORMER,TITLE,INDEX commands)
-extended EMU10Kx (Audigy) soundcard handling (detects/supports more cards exactly)
-added 24-bit playback to Audigy 2 & 4 cards (use: -ob 24)(doesn't work at Audigy 2 Value)
-added MaxFilenames variable to mpxplay.ini (to increase playlist memory)
-modified id3-search (alt-letter): it searches in all metadatas and filenames (with ':' separator it searches in artist:title)
-used HQmode=1 by default in mpxplay.ini (mixer always works in HQ mode)
-faster hq freq conversion (speed control) + more exact target freq
-bugfixes: -pslf + StartupEnabled=7; 8-bit input (wav) + -hq, irq handling; FPL;
-docs: separated soundcard (SNDCARDS.TXT) and LCD (LCD_DISP.TXT) infos, text files moved into a DOCS subdir
-extender: the DOS/32 is the primary extender (removed warning messages, compressed exe)

1.50 2005.04.13.
-new decoders/fileformats:
 -AAC/M4A (MPEG4 Advanced Audio Coding)(in RAW,ADIF,ADTS fileformats and in MP4 container)
 -APE (Monkey's Audio)
 -DTS (Digital Theatre Systems)(limited support)
 -MPC streamversion 7.1 (+ sound quality bugfix (?), better seeking)
-new playlists:
 -FPL (Foobar2000) playlist handling (reading)
 -M3U8 (UTF-8 encoded M3U) playlist handling (reading)
-new (PCI) soundcard handlers:
 -SBA: EMU10Kx (SB Live, Audigy 1,2)
 -CMI: C-Media 8338/8738
 -VIA: VT686/8233/8235
-options:
 new: 
  -ita,-itt,-itl,-ity,-itc,-itg,-itn : id3-tag setting(s) via command line options (use them with -iw)
  -8f  : convert chars in filenames too (use it with -8)
  -8ua : auto UTF8 and UTF16 decoding (where required)(ID3v2,Ogg,APEv2,FPL)(enabled by default, you can disable it in mpxplay.ini (Conv852437))
  -pcp NUM : play NUM% from the file (PlayCountPercent)
  -xte HH:MM:SS (program exit time)
  -xtl HH:MM:SS (program run-time length)
  -xts HH:MM:SS (program play start time)
  -obf : write 32-bit float wav files (instead of integer pcm)
  -obs : bitstream mode output (currently for file-out (-o) and AAC,AC3,DTS,MP2,MP3,MP4 inputs)(to cut audio files without re-encoding)
 at DLL handling (alternative Mpxplay version):
  -dlls : list DLLs in Mpxplay's dir
  -vps NAME : visual plugin selected name
  -vpt SECS : visual plugin start time (def.: 0, no start)
 modified: -iw (removed listfile argument, use "-iw -il listfile" from now)
           -psc -> -pcs; -pfc -> -pcf; -ptc -> -pct;
           -pst,-pct: HH:MM:SS.NN (hours:minutes:seconds.hundredths)
-keys: new : KeyLCDpage0,1,2,3 ; KeySpeedSeekFrwd ('\'); KeyPlayMuteSw (ctrl-m);
             KeyEditCpyEntry (shift-F5), KeyEditCopyFile;
             KeySkipAlbL1Back,KeySkipAlbL1Frwd,KeySkipAlbL2Back,KeySkipAlbL2Frwd
  modified : KeyLCDpage to KeyLCDpageNext
-added [keygroups] section to mpxplay.ini (more key-functions with one button)
-added APEv1-tag writing (and reading) for AAC,AC3,APE,DTS,MPC files (read/update of APEv2)
-added +8 flag to StartupEnabled : restore directory and song-pos in non-playlist mode (using directory browser) OR reloads last playlist
-added sublist-restoring to Startup (restore last list and song position in sublist(s))
-added dir-scan support to sublists (m3u file may contain filemask (file*.m??), works like a sublist)
-added codepage-conversion-back to playlist-save (DOSchars to WINchars conversion)(at -8)
-added LCD-item: P_FILETYPE
-added full LFN API handling (faster directory access and file open, lfn is supported in command line arguments (search mask or single file), wav-out creates lfn.wav from input file)
-new and modified COM and LPT port controls in [serialport] (COMC,UIR,LPTC,NECIR,VT100,SERMOUS,(FTPSRV,TELSRV)) (see control\serial.c in source)
-increased playlist and id3 memory (50% more)
-modified soft-volume (',' & '.' keys) from linear (-6/+6) to logarithmic (-0.5dB/+0.5dB) above 100%
-mouse and joy settings moved to separated parts in mpxplay.ini ([mouse],[joystick])
-changed compiler (from the original 'Watcom C' to 'Watcom C 11.0c' from http://openwatcom.org)
-bugfixes: tag read/write (APEv2,ID3v1); seeking; -bl; LCD; UIR; DMA; -pst,-ptc, songnum, id3-search, text-display handling,
           pcm bit conversions (24<->32,float->32), PrebufferType, double-click at MouseFuncBtn1 config,
           -o + -cf, crash at large freq diffs (between in/out), limiter

1.48 2003.08.18.
-command line options:
 -new: -ihl : load infos (id3,time) of highlighted file only (at cursor move)
       -iod : set descending order (use it with -io)
       -io type 9 : order by path of file(s) (some other io numbers has changed!)
 -modified: -sva (removed volume argument)
-LCD: 
 - modified/optimized type 1 (new lpt-pin config; faster writing/displaying)
 - new type 2 : HD44780 4-bit mode (on LPT) (not tested)
 - new type 3 : Noritake VFD display (series 800) (on LPT) (not tested)
 - reordered LCDtypes (see moreinfo.txt or display\lcd.c)
 - bugfixes : scrolling, P_FILENAME item
 - new items: SYSDATE (yyyy-mm-dd), CURRLISTP, ALLSONGTIME, EDITORHLINEn (n:-,P1,P2,P3,M1)
-bugfixes/optimizations/modifications:
 -subband-synthesis optimization (faster MP3/MP2/MPC decoding (5-10%)(?))
 -ctrl-'/' & '*' works in directories too (search (skip to) paralell list/dir)
 - -if : search in filename if there's no id3tag + faster (?)
 -corrected/modified -inl,-idl (skip; -idl + -il -> sometimes program crash)
 -random mode with sort, with juebox, with crossfade (skip back is still bad)
 -fulltime calculating
 -F5/Ins + sort
 -system with 1 drive ("playlist is empty" error)
 -some reordered key functions (corrected display refresh)

1.47.9 2003.05.26.
-new keys : alt-gray-'/',alt-gray-'*' : load previous/next fastlist
-new options:
 -if KEYWORD : tag-filter (keep files which have KEYWORD (substring) in their id3tag(s), delete the others)
 -@i : load list from the stdin (m3u style)
 -pslf [NUM] (PlayStartList) : use/load NUM. fastlist (0-15) (NUM. list in [fastlist] config)
 (without NUM, it loads/restores the last list/song position from [startup])
-added multiply input file handling (ie: mpxplay.exe file1 file2 file3 ('file' may be a single file, playlist or dir-scan))
-LCD: 
 - added VT100 serial output (type 9)
 - modifications in type 1,2,5,6,8 (wait,irq)
 - added CURRLIST item (shows input file/playlist)
-modifications:
 -modified loudness logic
 -modified (corrected?) startup logic
 -modified ctrl-r (refresh side) logic (skip to first song only in pause mode)
-bugfixes/optimizations:
 -sublist(s) in MXU
 -some lcd-item related bugfixes (refresh,scroll)
 -mp3 bitstream error detection (at begin of files)

1.47.8 2003.04.19.
-added fastlist function (load playlist/file(s) with one key)(see mpxplay.ini)
-added PLS playlist file handling
-added LCD-type 8 (EDE702 serial LCD interface support)
-bugfixes/modifications:
 -saving of current song's infos in memory
 -time/buffer position at huge files

1.47.7 2003.03.20.
-added software tone control to MP3/MP2/MPC (bass,treble)(if hardware tone not found)
-new key: '|' : loudness (turn on/off bass&treble)
-modifications:
 -"SoundLimiter" has changed to "MixerControl" in mpxplay.ini
 -id3tag/file-info related modifications (checking/loading/displaying)(-in/LoadID3tag)
 -sort by artist/title (if one of them is missing: sort by the other one (both: sort by filename))
 -au_mixer modifications (HQ-limiter works on crossfade,surround and (soft) tone-control too (LQ:on volume only))
 -minor joy modifications (see mpxplay.ini)
 -16 bit (integer) output has changed to 'float' at MP3/MP2/MPC files (slower, but required to tone/hq-limiter)
-bugfixes:
 -playlist load/save (path bugs)
 -random mode (cntrl-enter)
 -serial/UIR handling (irq)
 -WSS: ULTRA16 env. variable loading; SB16: removed hidma value limit; GUS with -bp

1.47.6 2003.01.22.
-modifications:
 -added jitter correction to CDW reading (CDWcontrol=1 in mpxplay.ini)
 -added SortOrder (in mpxplay.ini) to sort function (you can set your own ABC)
 -prebuffer (-bp) optimizations (rewind in buffer, memory pre-allocation)
 -CTRL F2-F4 (added 2.,3.,(4.) order keys); added -io4 option
-bugfixes:
 -auto loadlist (file-info loading)
 -div0/pagefault handling; some asm bugs at DOS/BIOS/mouse callings

1.47.5 2002.12.31.
-bugfixes/optimizations:
 -sort (freezing; newfilenum clear)
 -startup (restore list/song position) at -ds option
 -CMOS startup or -pss with -io
 -auto-loadlist in jukebox mode (-dd)
 -EXTM3U loading (possible id3-memory overflow)
 -MP2/MP3 header check (possible 'stack overflow'/crash)
 -AC3 optimizations (10-15% faster)
 -minor spectrum analyser optimization/correction

1.47.4 2002.12.06.
-new options:
 -io2,-io3 : secondary, third order keys
-new key:
 - CTRL-'g' : select/skip LCD page
-modifications:
 -added LCD (virtual) page handling (see mpxplay.ini & moreinfo.txt)
 -new mouse handling (less CPU usage, mouse-wheel support (http:\\cutemouse.sourceforge.net))
 -new order/sort function (faster, sorting to more keys)
-bugfixes:
 -total time calculating after dir change; -ipl with -io

1.47.3 2002.11.14.
-new options:
 -pst : play-start-time (in a song)(like -psf) in HH:MM:SS or MM:SS or SSS format
 -ptc : play-time-count (in a song)(like -pfc) in HH:MM:SS or MM:SS or SSS format
 -db2 : directory browser on both sides (on left and right sides too)
 -xas : enable atx/apm shutdown
-new keys: 
 - F2 : save playlist (into mpxplay.m3u)
 - alt-',' & alt-'.' : soundcard (hardware) volume up/down
 - KeyEditCpySngEhl (no assigned key): copy song (entry) and move it to editorhighline position and skip editorhighline
-modifications/optimizations:
 -major playlist-handling structure/variable modifications (in source)
 -track number reading/handling (from ID3TAG)(it's displayed on LCD only, it isn't on screen)
 -new and corrected LCD-items
 -faster #EXTM3U loading/file checking (if all entries have #EXTINF: line)
 -new/faster spectrum analyser for OGG files
 -reduced functionality (partially removed support) of old MXU files (v1.42 made this mxu format)
-bugfixes:
 -a lot of playlist related bugfixes (playlist loading from subdir (subdir\list.m3u),dir/drivescan (*.*\*.*) with -dd option)
 -(cross)fade-out in jukebox mode at last song

1.47.2 2002.10.01.
-new options: 
 -8u : use UTF-8 text decoding (in tag-infos)
 -8cp: select target codepage for UTF-8 decoding (ISO-8859-1 and ISO-8859-2 only)
 -8uv: validate (use only) WinChars at UTF-8 decoding (above ascii 128)
-bugfixes/modifications/optimizations:
 -CTRL-'l' -> CTRL-'r': refresh directory browser or reload playlist
 -cmos startup save/load (save in every 2. second (instead of 20 times/sec))
 -OGG : speed improvement (c-Stereo and beta4(3,2,1) files: 5-10%); seeking to bof bugfix
 -file buffering (mpxinbuf_fread) bugfix (program crash at OGG file seeking)
 -CTRL-BREAK key deleted the file from the (hard)disk (!)
 -directory browser with 1 drive; MP3 files with WAV header;
 -dma-monitor; dma-stop/restart

1.47 2002.09.06.
-new LCD configuration and LCD hardware types (see mpxplay.ini and moreinfo.txt)
-new options:-of,-oc,-ob : set output freq,channels,bits (usually for wav output)
-new key function:KeyShutDownExit (no assigned key)
-modified/new seek functions (rewind/fforward): 
 - speed of 1x,4x seek configurable with SeekFrames in mpxplay.ini
 - KeyDRewind/KeyDForward modified to KeyQRewind/KeyQForward in mpxplay.ini
 - new: - KeyPRewind/KeyPForward : seek -1% / +1% of song (or min. 4x speed)
        - KeyCRewind/KeyCForward : continuous 1x seeking
-modifications/optimizations:
 - au_mixer and au_cards optimizations
 - mp3 : - added 69 new id3v1 genres
         - id3v2 header support (uncompressed artist,title,album,etc. infos only)
         - better frame-len calculation at 32/48khz files and at Xing and id3v2 headers
         - better bitstream (frame-header) error handling (less clicks,less freezing(?))
 - ogg : - updated decoder (a quality bugfix, 25-55% faster, less memory)
         - -cl option works (1.4x faster decoding)
 - mpc : support of APE tags (reading of APETAGEX)
 - extended -ebs/EditSideBordr (you can use more/less width on playlist editor sides)
-bugfixes:
 - directory browsing on network (Novell) drives
 - serial port handling (mode=0)
 - display/desktop bugfixes
 - CPU-usage calculation at interrupt decoder (-bp,-bl)
 - -f0 option; F5,ctrl-ENTER,ctrl-L keys

1.46 2002.02.24.
-implemented Dolby AC3 decoder (AC3 (stream) file handling)
-updated Vorbis decoder (RC3) (no quality change)
-modified (new) serial port (and UIR) handling/configuration (see mpxplay.ini)
-modified (extended) playlist-editor search (see end of readme.txt)
-new/modified software-mixer functions/structure (not finished fully)
 -multibits (8-32) & multichannel input (wav files) and output (wav files/future cards)
 -new hq-mixer mode (high precision floating point based calculations (selectable))
-new options:-idl : load infos (header,id3) of displayed files only (controlled by playlist editor)
             -@sw : save playlist in EXTM3U format (like Winamp)
             -bn8 : disable use of int08 (minor speed up for slow cpus)
-modified option : -ini -> -inl            
-new keys: - '<','>' : volume balance
           - CTRL-F1,F2,F3,F4 : order playlist (immediately) by filename,artist,title or time
           - j : switch between juke-box (doombox) and normal mode
-key changes:
 -bass and treble moved to ':','"' and '{','}' keys
 -'h' switches off/on the hq-mixer too
 -'space' (re)mapped to play/pause function
-removed key: CTRL-'R'
-mpxplay.ini modifications (separated parts)
-minor bufixes/optimizations: 
 - sound bugs at mp3 seeking (but because of this the seeking may be slower on low-end CPUs)
 - mp3 decoder (scalefacs & pretab, III_antialias, i-stereo, getbits, l3_deq)
 - mp2 decoder optimizations (1-2% speed up)
 - mpc buffer clear (hybridout)
 - crossfade (pcm_crossfader, crossfade-part step, crossfade at 48khz files (wav -> mp3,ac3))
 - dma get_bufpos (maybe it helps at some cards)
 - doombox & filesearch (ie: -dd *.mp3)
 - newfunc optimization/clear, minor direct-display speed up
 - and a lot of other

1.45.2 2001.10.28.
-bugfixes/corrections:dma autodetect,irq autodetect,LCD-displaying

1.45 2001.10.23.
-new keys: o : open/close CD door (tray)
           d : hi-lite scan (demo mode) start/stop
           ALT-(gray)PgUp/ALT-(gray)PgDn: move cursor one album up/down (like '/' & '*')
           CTRL-'S': pause playing at (before) next song
-removed keys: 'd','D','F2' : TAB enables the directory browser (if -db)
-new options: -pfc NUM : PlayFrameCount (play only NUM frames from the song)
              -pef NUM : PlayEndFrame (PlayFrameCount=PlayEndFrame-PlayStartFrame)
              -phs hi-lite scan (play only 10 secs from every songs (1m00s-1m10s))
-modifications in audio lib:
 -GUS soundcard support (through GF1 chip)
 -modified WSS routines (it has to work on more soundcards or with less problems)
 -redesigned soundcard handling (mainly inside), 
 -modified -scs 'numbers' to 'names' (1->S16,2->ESS,3->WSS,4->GUS,5->SBP,6->MID)
  (modified SoundcardType to SoundcardName in mpxplay.ini)
 -souncard IRQ autodetect bugfix (SB pro)
 -removed MIDAS from the exe (it's still in source)(I hope nobody will need it)
-minor StartupEnabled=7 (CMOS) function modification (playstartframe->playstartpercent)
-some minor bugfixes (random play;key mapping;cdw;crossfade;-bp with -ipl;
                      dma buffer clear at -bl;-xs)

1.44 2001.08.28.
-new key/function: file delete from disk (and from playlist) 
 (currently disabled, you can enable it in the mpxplay.ini (KeyEditDelFile))
-implemented MPEGPlus decoder (support for MPC files)
-updated OGG decoder (RC2)
-bugfixes:
 - -cl,-cm
 - local id3list (-il)
 - crossfade clear ('C')
 - buffer clear(s)

1.43 2001.05.03.
-major desktop changes
-Ogg Vorbis (OGG) file support
-serial port control
-new keys: A : spectrum analyser on/off
           S : stop playing (and jump to the first song)
           CTRL-gray / :  jump to the previous paralell playlist
           CTRL-gray * :  jump to the next paralell playlist
           CTRL-L  : reload playlist or rescan directories/drives (ie: at disk change)
           CTRL-DEL: clear playlist
           CTRL-PgUp/PgDn: move up or down in subdirectories/sublists (like NC)
           ALT-UP & ALT-DOWN : resize playlist-editor/song-browser
-new option: -io : order playlist by title/artist/album/year/comment/genre/time/size/filename
-removed options : -@x (use -@)
                   -ef (use Desktopmode variable)
-configuration variables (in mpxplay.ini)
 -new: PlayListSave, ID3ordertype, SkipMP3bugs, MixerSet, WinChars/DosChars, 
       Displaymode, Desktopmode, Editorbegin, ShutDownATX, UseLFN
 -removed: EditFiledType
 -modified: LCDlptport -> LCDport

-modifications/new functions:
 -playlist:
  -multi level playlist support (virtual directory system)(playlist in playlist)
  -new MXU style (but old style is still supported)
  -support for #EXTINF lines in M3U (#EXTINF:timesec,artist - title)(Winamp uses this)
  -added 40 new genres (music styles)
  -code page conversion (-8)(WinChars & DosChars in mpxplay.ini)
  -M3U, MXU detection at command line (-@, -@x not needed for playlists)
  -F5 adds (scans) drive and subdirectory too (if you press F5 on a drive or subdir)
 -MP3 decoder:
  -quality (some floating point pre-calculations, asm optimizations)
  -always sounds in HQ mode (-hq option has no effect on mp3 files)
  -speed (?) (5-7% faster on PII)(maybe it's less on 486 and P-I)
  -VBR (Xing header) support
  -fixed an intensity-stereo bug (more testing needed)
 -mixer settings (MixerSet in mpxplay.ini):
   +1:floating point precision in software-mixer (vol,sur,spd)
   +2:sound limiter (for classical music & autovolume)
 -added spectrum analyser for PCM (wav,cdw,ogg) files
 -support for 2 joystick
 -save (at start) & restore (at exit) video memory in fullscreen mode
 -modified CTRL-ENTER (nextsong) function & displaying

-bugfixes:
 -WAV: 8bit mono files, wav header read/write, wav output freq/channel, crashing problems, wave-data-len use
 -CDW: 2 (or more) drives support (paralell), CDW in MXU list, incorrect read length (missing last frame)
 -crossfade: bad crossfade (fade-out) at last song; pause during crossfade; crossfade on bad mp3s
 -freeze on MPEG2 (LSF) Layer II files
 -bad random order (-prn) in playlist which contains bad (non-audio) filenames
 -doombox mode & -ini
 -skip at -ipl (unchecked song select)
 -error handling (floating point error, division by 0, exception error)
 -low level SBpro driver (IRQ handling)
 -some 'division by zero' bugs

1.42 2000.02.06.
-new option(s): -ipl : load file infos under play (start playing, after load infos)
                -ds  : multiple drive scan (-ds cde -> scans c: d: e: drives)
                -pap : auto pause before every song
                -xs : load song (playlist), jump to dos shell automatically
                -xr : use TSR mode (on cdw files only)
                -prn2: randomize playlist at start
                -pre1: repeat one (current) song only
                -scs : sound card select ((try to) use selected card only)
-removed option : -cr (use -cm)
-modified key function: ctrl-v : reset vol,sur,trb,bas,spd values to 100%
added:
 -M3U support in directory browser (playlist editor)
 -more configuration options (variables) in MPXPLAY.INI
 -SBpro support (low level driver instead of MIDAS)
 -ESS 1868,1869,1878,1879,1887,1888 chipset support (?)
 -LCD support (read moreinfo.txt)
 -extended mouse functions, remappable mouse buttons (see end of readme.txt)
 -joystick support with remappable functions (check mpxplay.ini)
bugfixes & modifications:
 -modified autovolume function (normalizer)
 -modified jukebox (doombox) functionality (you can edit the queue (right side) too)
 -interpolated freq converter (speed control) -> better sound quality (large CPU)
 -sound card volume (mixer) setting (-scv) for ESS (?) and WSS cards
 -random function
 -CDW track select
 -some WAV bugs (not the all)
 -smoother starting (in the middle of mp3 files (-psf or StartupEnabled))
 -random mode + crossfade
 -rewind: prebuffer, crossfade
 -soundcard, dma, MIDAS buffer clear
 - -@x, -@s, -iw
 - -pss, -psf & -psp with Startupenabled
 -alltime calculating
 -step forward/back with mouse buttons
 -some display bugs (dos shell, playlist editor)
 -handled CTRL-BREAK (disabled)
 -handled crashes (exception errors -> 'normal' close)

1.41 1999.09.20. final release 2. (some bugfixes)
-new options: -@d : doombox mode playlist (load playlist to the left side)
              -dd : doombox mode directory browser
              -sp : modify playing speed
              -sct: sound card test (1:SB16,2:ESS,3:WSS,15:MIDAS)
              -scv: sound card volume (master & voice)(1-100(%))
              -sctr:sound card treble (1-199%)
              -scbs:sound card bass
              -x  : program name for DOS shell (i.e. -x nc.exe)
-modified options: -pl  -> -sl  sound limit (playlimit)
                   -pv  -> -sv  set voulme
                   -pva -> -sva set auto volume
                   -psr -> -sr  surround
                   -ms  -> -scm configure and save MIDAS to mpxmidas.ini file
-removed options: -m, -mm, -ml, -mdi, -sb16
-key remappings: - CTRL-left : fast rewind  (old:SHIFT-left)
                 - CTLR-right: fast forward (old:SHIFT-right)
-new keys and functions : - '<' and '>' : set bass   (works on old SB16 and
                          - ':' and '"' : set treble  AWE 32/64 cards only)
                          - '[' and ']' : speed (freqency) control
                          - white '-'   : step back like a CD player
-removed keys and functions : - 'A' : analyser change
                              - 'F9': load fullscreen desktop (at -f0 -ff -fl)
                              - keypad 'ENTER' as pause
                              - keypad DEL as exit
-CD-WAV support (.cdw)(real time digital audio copy to the sound card or into file)
 -use -bp for playing, use -bbn 40 for CROSSFADE (increase preload buffer)
-config file (mpxplay.ini): 
 -keyboard (re)mapping
 -startup (start playing at the last played song and frame position)
-sound card access modifications:
 -ESS sound card support (SET BLASTER=A220 I5 D1 H5)
 -autodetect for PORT,IRQ and DMA numbers (if the program doesn't find config variable)
 -sound card init bugfixes
 -Midas can play different frequency (with speed control = a little bit bad quality)
-random queue (store the last 32 song number and step back on them)
-bugfixes & modifications: 
 -mp3 decoder quality
 -gapless playing between pcm files (.wav & .cdw)
 -interrupt decoding (-bp -bl) works under win95/98 too (only in active window)
 -playlimit & crossfadelimit at -f0 and -ff
 -PlayStartSong with RandomPlay
 -buffer clear
 -some display bugs
-added KEYCODES.LST (for the keyboard remapping)
-added ORDER.FRM    (for Mpxplay registration)
-moved SPEEDS into MOREINFO.TXT

1.40 1999.07.21.
-new options: -bn  : no prebuffer
              -bp  : realtime prebuffer with interrupt decoding (buffering 'on the fly')
              -bni : disable interrupt decoding (for -bl only)
              -bbn : prebuffer blocks (one block is 32768 bytes)
              -cfp FRAMENUM : crossfade point (start crossfade after FRAMENUM frames)
              -cfl LIMIT    : crossfade limit (start crossfade when volnum below limit)
-new keys   :      'M' : mute sound (1/8 volume) while push it
              CTRL-'D' : open a dos-shell (only at prebuffer (-bl or -bp) !!!)
              CTRL-F5  :
              CTRL-INS : add all filenames to other side
-removed keys: CTRL-'+', CTRL-'-'
-when the crossfade is enabled (-cf option or 'c'-key), the program 
   always do crossfade between songs
-modified crossfade function (real fade-out and fade-in)
-implemented MPEG 2.5 support
-implemented low level WSS (Windows Sound System) sound card access (SET ULTRA16=)
-you can give an output filename for -o
-shared file handling under W95/98 (playing under download or encode)
-mute under forward/rewind
-crossfade between mpeg and wav files
-mp3 decoder:
 -speed up: 8-18% (128-320kbit)
 -minor sound quality bugfixes
 -crashing bugfixes
 -speed up hq mode
-modified myextgetch() function, check out the end of FAQ.TXT (!)
-bugfixes:
 -pause mode
 -modified header check
 -modified file handling (less chance to crash)
 -random play
 -crossfade
 -output wav file header (-o)
 -crashing at exit (under w95/98) (?)
 -and some other minor bugs

1.39 1999.04.16.
-new options: -psf NUM : start song at NUM. frame (PlayStartFrame)
              -psp NUM : start song at NUM-16%    (PlayStartPercent)
              -pss NUM : start play at NUM. song  (PlayStartSong)
              -psc NUM : exit after NUM song      (PlaySongCount)
              -il [listname] : local  id3info list (loading at every dir change)
              -ig [listname] : global id3info list (loading at start)(create: -is -ist 192)
              -@x [listname] : extended playlist (use same list like to -ig)
-changed options: -prn : random play (old -r)                  (PlayRaNd)
                  -pre : replay (play again) playlist (old -a) (PlayREplay)
                  -ddma: double DMA memory (old -5)
-keys (re)mappings: 'r' - repeat (replay) playlist
                    'n' - random play
                    'f' - fade out/in at crossfade
   ALT- 'A'-'Z','0'-'9' - search artist (or filename) in playlist (not finalized)
-new -ist types (use them for -ig): 
     +64 : filenames with full path
    +128 : append file (header&size) information in hex format
    +256 : '°' (176) separator behind filenames (recommended for long filenames)
-program give back the position of the song (percent+16=16%-115%) at exit
-random function change (mix playlist -> random selected next song)
-playlist editor highline folows mouse position (when it's in browser)
- -pss 1 : start playing in current dir (when playlist was not loaded)
           (else program starts in pause mode)
-added LICENSE POLICY to the MOREINFO.TXT
-bugfixes
 -crash at DEVICE (CD-ROM) NOT READY
 -mp3 crossfade
 -search in root dir (older versions didn't load filenames from root at *.*\*.*)

1.38 1999.03.14.
-keyboard remapping:'c'-crossfade (old 'f')
                    'h'-hq mode (old 'c')
-option change: -co -> -hq
-program can play 8 bit (unsigned) wav files too
-hq mode in mp3 (instead of correction)
-speed up decoder (5%) and analyser
-bugfixes
 - playlist repeat (-a)
 - mpeg header check
 - -db command line bugfix

1.37 1999.01.22.
-new keys: '.' on keypad (when numlock on) : EXIT (instead of del)
         : SHIFT-LEFT and RIGHT arrow : faster rewind and forward (200 frames)
-speed up (25%) for one (left) channel decoding at mp3 stereo files (-cl)
-spped up mp2 (4%)
-extended playlist and id3info memory area (playlist entry : 7000,
 playlist and id3info memory size : 220-220kbyte (dinamic fields))
-bugfixes:
 - seeking on VBR (variable bitrate) files 
 - playlist save (-@s) in root directory
 - -is & -iw din't work correctly
 - program crashed above 5-600 playlist entry
 - mp3 decoder (sound) bugfix
 - 50->25 lines mode change faster
 - -v works with -f0 too

1.36 1999.01.07.
-key (re)mappings:
 -gray-'/' and gray-'*':step back/forward one subdirectory in playlist
 -gray-ENTER:if NUMLOCK OFF:starts the highlighted song in playlist,else PAUSE playing
 -white-DEL:if FULLSCREEN mode:DELETE from playlist,else EXIT from program
-new options:-in  : don't load id3tag from mpeg files
             -ini : don't preload file informations (load them when starts playing)
             -mdi : MIDAS disable interpolation (less cpu usage,bad quality)
-crossfade for MP2 files (MP2->MP3 and MP3->MP2 too)
-white ctrl-PGUP/PGDN:step back/forward one subdirectory (album) in playlist
-speed up (mp2:4%,mp3:2%)
-some editor functionality changes
-bugfixes:
 -conventional memory problem at SB16 play (couldn't allocate dma memory)
 -dma repeating at SB16 play (when the input file reading stopped (read bug))

1.35 1998.12.30.
-new options:-cft :crossfade type (0.bit:fade out,1.bit:fade in,2.bit:cf at playlimit)
             -pp  :pause between songs
-new keys: gray-'*' : pause
           white-HOME: volume up
           white-END : volume down
- '-enf' option changed to '-ef' (editor filenames disabled by default)
-bugfixes:
 -found a minor mp3 sound quality bug!
 - -o didn't work
-document update & correction
-released MPXPLAYS.EXE : only with SB16 access (smaller,faster a little bit)

1.34 1998.12.21.
-new keys:'e': filenames/no filenames in editor (-enf)
          'x': swap channels
          'r': randomize playlist (actual editorside)
          ctrl-'r': (re)order playlist by path\filename   
-new options:'-ebs': active editor border size (13-67)(def.:67)
-bugfixes:
 - -mm didn't work
 - editor bugfixes

1.33 1998.12.02.
-LONG FILENAME support under w95/98
-new option: -enf : no filenames in editor
-new soundcard autodetection:if SB16 not found MIDAS starts with autodetection
-new option: -sb16 :use SB16 sound card detection only (do not start MIDAS)
-bugfixes:
 -crossfade bugfixes
 - -o with -db bugfix

1.32 1998.11.17.
-CROSSFADE (not finished!): -cf option or 'f'-key (between the songs)
 - CTRL-'-' or CTRL-'+' : instant crossfade
 - -cfl option : crossfade length (default:200 frames)
-DIRECTORY access changes:
 -directory browser is always enabled now (-db disables it)
 -you can use directory browser and directory search (*.*) together
 - -d and -ds options removed: use *.* or d:\*.*\*.* formats
-PREBUFFER: -bl option : loads the whole song into memory before plays it
-new default screen mode: -f (full screen,50 lines,with analyser)
-new option: -fl : only one line output (this was the old default screen mode)
-some playlist editor changes
-bugfixes: -m -db -> crashed the program

1.31 1998.09.29.
-new key: CTRL-ENTER : select next song (what starts when the actual ends)
-extended playlist number selection: just type a number on keypad (with numlock on)
-new id3 list types (-is -ist NUM) (read readme.txt for details)
-double read 'bug': if a song is already loaded into memory (it is on 
 the other editor side), the program doesn't read once more the file infos
 from disk, it only copies the existent ones from memory (from the other
 editor side) (for example: when the playlist and the actual directory
 contains the same filenames)
-display bugfixes: 
 -MsStereo/JointStr change at playing
 -large (long) bitrate number at -db
-command line bugfixes:
 -playlist on other drive
-some editor bugfixes
-rewind bugfix (rewind across the files -> sometimes bad positioning)
-new version of MIDAS (i don't know, what's the difference)

1.30 1998.08.30.
-volume correction ( ','-up and '.'-down( '<' and '>'))
-automatic volume correction -pva or 'v'-key, 
- ctrl-v : set volume to 100% (reset it)
-fake surround: with ; and ' key or -psr SURNUM option 
 (default surnum is 100 :no surround)
-program sorts the filenames in subdirectory reading (alphabetic order)
-you can use -il and -is at same time (selection from a large id3listfile)
-design change of saveid3list file (-is)
-speed up on intel processors (15%) (???) (tested on a PPRO 200 only)
-gray / for exit (request)
-bugfixes:
 -command line option bugfixes
 -random play bugfix

1.29 1998.08.06.
-mp2 joint stereo works
-speed up mp3 (low bitrates:1%, high bitrates:3%)
-minor bugfixes:
 -directory reading (in root directory)
 -playlist editor (sometimes halted the program,some display bugs)
 -id3 tag writing (couldn't update)
 -some display bugs (bad screen scroll up)
 -some command line option bugs

1.28 1998.07.27.
-drive change in editor (not finalized)
-better direcory read
-speed up (1%)
-corrected intel 'bug'
-fixed bug: program couldn't read root directory and novell directories
            (novell directory browsing is not perfect yet)

1.27 1998.07.12.
-new playlist editor functions: 
 F5 or Ins : add file to the other side's playlist
 F8 or Del : delete file from playlist (you can delete from dirlist too)
 CTRL-UP or DOWN arrow : shift highlighted song up or down in playlist
 ALT-LEFT and RIGHT arrow : change size of editorsides
 TAB: change editorside
-new option: -@s PLAYLIST : save playlist from editor to PLAYLIST file
                            on exit (you can use it with -ds option too)
-old key function CTRL-left arrow (step to begining of song) removed
 (you can use Backspace for this)
-MPEG 2.0 & joint-stereo was removed from MP2 (they doesn't work at all)
 (later will be corrected maybe)
-bugfixes
-mp3 speed up (1.5%) (index number in 1.26's readme.txt was bad)

1.26 1998.06.25.
-new option -f0: no screen output under play
-changed old -f0 to -ff: only frames and filename are displayed
-new keys :F2(or d): changes from playlist use (-@) to directory browse (-db)
           F9      : sets the program to full screen mode
           CTRL-F9 (-fe): hides analyser & browser -> sets editor to full screen
           SHIFT-F9: equal to ALT-F9 + CTRL-F9
                  a: alternative analyser (this is a test yet)
-mp3 speed up (2%)
- -8 need a <language type> (default 1:hungarian, 2:greek)
-MIDAS can play 22050hz files too (software conversion)
-corrected browser at directory browser function (only files displayed)
-corrected bug: program halted in directory browser pressed left arrow
-other bugfixes

1.25 1998.06.15.
-starting program without options: means: -f -db (program starts in full
 screen and directory browser)
-directory browse read all suported filenames from directories 
 (*.mp?,*.wav) or give another mask (*.*)
-better directory browser (not perfect yet)
-better wav playing (tested: 16 bit,22 & 44khz,stereo and mono)
-speed up mp2 with 4% (mp3:1%)
-extended 852->437 conversion (for greek language)
-corrected -fs option 
-bugfixes

1.24 1998.06.05.
-option -db : directory browser (like in cubic player) (not perfect yet)
-new MP3 decoding process:
 - 8% faster (256 kbits or less) 
 - program supports the MPEG 2.0 too (16,22,24 khz sample frequency) 
         (on SB16 only (without -m))
 - i think so program's sound quality is better now (a little bit)
-new pause function : able to move during pause (skip or forward & rewind)
-added style info to id3infos (disco,house,etc.)
-bugfixes:-scrolling up at bottom of screen in verbose mode
          -CORRECT is displayed in 25 lines mode in editor area
          -seting back the 50 lines mode on exit (if that was at start)
          -actual filename has been cleared from display after ALT-F9
          -program needs smaller memory (500k) for SB16 play

1.21 1998.05.27.
-function ALT-F9 : 25/50 lines mode
-option -fs : program doesn't change the display to double lines mode 
 (leaves in 25 lines mode or leaves in any screen mode what you set)
-option -f0 : reduced screen output (faster decoding (1%))
-new keyboard read (for special keys)
-little speed up (1%)
-bug fixed:program didn't want to rewind across the songs
-bug fixed:random play was not really random (bad randomize call)

1.20  1998.05.18.
-global changes of the command line options !!!!!!! Read readme.txt!
-program plays the wav files too (only the 44.1khz,16bit,stereo is perfect)
-write id3tags to mp3 files (-iw)
-you can give a mask for directory search (-ds *.wav)(default: *.mp?)
-you can save the midas manual settings to a file (-ms) and you can
 load it from command line (-ml)
-downmix function (-cm) (stereo to mono)
-time mode:elapsed,remaining,allelapsed,allremainig function (t key)
-program can handle any screen resolution (character)(i used it in 100x80)
 (but maybe the mouse driver can't)
-little change of desktop design
-corrected bug: program reset the display to the initial screen lines
-corrected other bugs too (made some new one)

1.10  1998.04.15.
-program shows the times for every song
-program write normal WAV header to output file (-o) and the output
 filename will be the input filename with .wav extension (you can't change it)
 (track01.mp3 -> track01.wav)
-program check the number of screen lines
-program searches for filenames in id3list (at -i) and shows correct info
 for filenames
-program sorts filenames by name (at reading from directories (-d))
-search subdirectories for MP2,MP3 (-d -7)
-implemented MIDAS Sound System (supports more sound cards) (-m)
-configure manually MIDAS (-4)
-convert id3info characters from 852 code page to 437 code page (-8)
 (for hungarian language)
-double dma option -m changed to -5 (not the latest change)
-bug fixed:mouse interrupt call was not correct
-bug fixed:program halted on mono MP2 files
-bug fixed:program halted on non-audiompeg files (I hope it's correct now)
-bug fixed:rewind bug in first song
-corrected some other bugs too

1.00b 1998.03.31.
-bug not fixed: program sets the screen to 50 lines mode in fullscreen
-playlist editor (it is not a real editor yet, only selector)
 (keys:up & down narrow,pgup,pgdown,end=ctrl-pgdown,home=ctrl-pgup)
-program linked with PMODE/W  -> DOS4GW.EXE removed (not needed)
-double sb dma (-m) ( 32k->64k )
-read id3 tag infos from a listfile (-i)
 format in lines: filename   artist:title
-write id3 tag infos from mpeg files to a listfile (-3) 
 (filename,artist & title only)
-little input buffer (8k),it isn't a real prebuffer, it only saves 
 the health of CD & HD
-bug fixed:there was some sound bugs in rewind and forward 
           in layer III and at bitrate<192
-bug fixed:dma stops after a short time on read errors (not perfect yet)
 (when the CD-ROM can't read the disk and it stops for some seconds)
-bug fixed:program won't exit from a playlist what filled
           with non-openable files only
-bug fixed:different mouse drivers -> different button effects
     (I hope it's correct now, but i tested only two mouse driver)
-bug fixed:playlimit was not correct
-bug fixed:program halted on a bad command line option

0.07a 1998.03.20.
-fast play browser (max. 70 songs)
-mouse position displaying (MOUSEPOS)
-new CPU usage (actual instead average)
-more perfect rewind
-spectrum analyser speed up
-you can use -t with -f and -v

0.06a 1998.03.09.
-redesigned info display (ID3 Tag & mpeg info)
-mouse supporting (in fullscreen)
-high sounds correction (-c or c key under play) 
-spectrum analyser (in fullscreen) (it isn't really good)
-full screen mode (-f)
-able to play again a single song too (not only a playlist)
-bug fixed:random play is really random
-bug fixed:filename is not displayed in any color (I hope)
-bug fixed:verbose mode more perfect (probably on bottom of screen)
-bug fixed:the program doesn't halt (stop) in rewind (I hope)
-speed up (4%)(display)

0.05a 1998.02.28.
-fast play (1-9 keys)
-playlist counter
-speed up (3%)(loc_volnum & SB out) & smaller code (with 13-14 kbytes)
-bug fixed:able to step back after a non-exsistent file
 (rewind is not perfect yet)
-randomized playlist (-r) (it isn't really random)
-play again playlist (-a)

0.04a 1998.02.24.
-playlist loaded into memory -> skip back in playlist is available
-you can go foward and rewind accross the song boundaries ( <- and -> ) 
-CTRL <- key: skip to the begin of the song
-added playlimit variable (Don't play while and finish the play 
 when volume<=playlimit (less or equal))
-bugfixes

0.03a 1998.02.16.
-first public release.
